What version of devices does InitLive work on?

InitLive -

  • Android 4.0 or later
  • iOS 7.0 or later

 

NOTE: Due to App Store restrictions, InitLive is compatible with iPhones 5 and newer. Sorry, iPhone 4 users, we wish you could join the fun! But don't worry, you'll still receive important communication during the event through SMS text messages!

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.